Bug 240899 - math/suitesparse: clean up and improve
Summary: math/suitesparse: clean up and improve
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-fortran mailing list
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 240937
  Show dependency treegraph
 
Reported: 2019-09-28 12:14 UTC by Jan Beich
Modified: 2019-09-30 10:31 UTC (History)
3 users (show)

See Also:
thierry: maintainer-feedback+
jbeich: merge-quarterly?


Attachments
v1 (9.12 KB, patch)
2019-09-28 12:14 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-09-28 12:14:15 UTC
Created attachment 207915 [details]
v1

ArchLinux has very simple build, so let's use it as the basis. Better than accumulating regressions each update.
https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/suitesparse

Changes:
- Allow using Clang again (base libomp.so or OpenMP disabled)
- Respect C++ library if using GCC (must be libc++ on Clang architectures)[1]
- Respect CFLAGS/CXXFLAGS in subdirectories using CMake
- Respect BLAS/LAPACK choice (actually use OpenBLAS)[1]
- Enable Intel threading building blocks support
- Switch to vendor build/install targets
- Adjust plist for new items (GraphBLAS, Mongoose, DOCS)
- Skip running demos during build

[1] important enough to merge into /quarterly

Builds fine on:
- 11.2 aarch64/amd64/armv6/i386
- 11.3 aarch64/amd64/armv6/i386
- 12.0 aarch64/amd64/armv6/armv7/i386
- 13.0 aarch64/amd64/i386
- DOCS=off OPENMP=off TBB=off on 11.2 i386
- All consumers on 11.2/13.0 amd64 (with/without libomp)
- databases/grass7 on 12.0/13.0 amd64 (with/without libomp)
Comment 1 Piotr Kubaj freebsd_committer 2019-09-28 14:10:35 UTC
(In reply to Jan Beich from comment #0)
Builds for me on 12.1-BETA2/powerpc64.
Comment 2 Thierry Thomas freebsd_committer 2019-09-29 19:10:28 UTC
Great, thanks!
Comment 3 commit-hook freebsd_committer 2019-09-30 08:17:51 UTC
A commit references this bug:

Author: jbeich
Date: Mon Sep 30 08:17:44 UTC 2019
New revision: 513331
URL: https://svnweb.freebsd.org/changeset/ports/513331

Log:
  math/suitesparse: simplify

  - Allow using Clang again (base libomp.so or OpenMP disabled)
  - Respect C++ library if using GCC (must be libc++ on Clang architectures)
  - Respect CFLAGS/CXXFLAGS in subdirectories using CMake
  - Respect BLAS/LAPACK choice (actually use OpenBLAS)
  - Enable Intel threading building blocks support
  - Switch to vendor build/install targets
  - Adjust plist for new items (GraphBLAS, Mongoose, DOCS)
  - Skip running demos during build

  PR:		240899
  Tested by:	pkubaj
  Approved by:	fortran (thierry)
  MFH:		2019Q4

Changes:
  head/math/suitesparse/Makefile
  head/math/suitesparse/pkg-plist